* Encoding: windows-1252.
/************************************************************************************************************/
/*                                                                                                                                     */
/* This SAS program will extract the United States Sentencing Commission's 21 U.S.C.  851*/
/* Enhanced Drug Penalty Fiscal Year 2018 file and create a SAS dataset.                           */
/*                                                                                                                                    */
/* Prior to running the program you must update the DAT file location in the FILNAME line      */
/* to correspond to the location of the file on your computer.                                                 */
/*                                                                                                                                    */
/* You must also update the library location in the LIBNAME statement to correspond to       */
/* the folder you want the output file to be located.                                                              */
/*                                                                                                                                   */
/***********************************************************************************************************/

/* The following line should contain the complete path and name of your raw data file */
/* The last line of this file contains the path to your output '.sav' file */

FILE HANDLE DATA / NAME=".\drug851fy18nid.dat" LRECL=465 .

DATA LIST FILE=DATA/
   USSCIDN 1-7              STMIN851 8-11            STMAX851 12-15        
   FILED 16                 WITHDRWN 17              RELIEF 18             
   CTRELIEF 19              CRMHT851 20              INDTDATE 21-31 (DATE) 
   FILEDATE 32-42 (DATE)    PROFFN1 43-45            PROFFN2 46-48         
   PROFFN3 49-51            PROFFN4 52-54            PROFFN5 55-57         
   PROFFN6 58-60            PROFFN7 61-63            PROFFN8 64-66         
   PROFFN9 67-69            PROFFN10 70-72           PROFFN11 73-75        
   PROFFN12 76-78           PROFFN13 79-81           PROFFN14 82-84        
   PROFFN15 85-87           PROFFN16 88-90           PROFFN17 91-93        
   PROFFN18 94-96           PROFFN19 97-99           PROFFN20 100-102      
   PROFFN21 103-105         PROFFN22 106-108         PRSENT1 109-112       
   PRSENT2 113-116          PRSENT3 117-120          PRSENT4 121-124       
   PRSENT5 125-128          PRSENT6 129-132          PRSENT7 133-136       
   PRSENT8 137-140          PRSENT9 141-144          PRSENT10 145-148      
   PRSENT11 149-152         PRSENT12 153-156         PRSENT13 157-160      
   PRSENT14 161-163         PRSENT15 164-167         PRSENT16 168-171      
   PRSENT17 172             PRSENT18 173             PRSENT19 174          
   PRSENT20 175             PRSENT21 176             PRSENT22 177          
   PRSNDT1 178-188 (DATE)   PRSNDT2 189-199 (DATE)   PRSNDT3 200-210 (DATE)
   PRSNDT4 211-221 (DATE)   PRSNDT5 222-232 (DATE)   PRSNDT6 233-243 (DATE)
   PRSNDT7 244-254 (DATE)   PRSNDT8 255-265 (DATE)   PRSNDT9 266-276 (DATE)
   PRSNDT10 277-287 (DATE)   PRSNDT11 288-298 (DATE)   PRSNDT12 299-309 (DATE)
   PRSNDT13 310-320 (DATE)   PRSNDT14 321-331 (DATE)   PRSNDT15 332-342 (DATE)
   PRSNDT16 343-353 (DATE)   PRSNDT17 354-364 (DATE)   PRSNDT18 365-375 (DATE)
   PRSNDT19 376-386 (DATE)   PRSNDT20 387-397 (DATE)   PRSNDT21 398-408 (DATE)
   PRSNDT22 409-419 (DATE)   OFFENNUM 420-421         PRCHPT1 422           
   PRCHPT2 423              PRCHPT3 424              PRCHPT4 425           
   PRCHPT5 426              PRCHPT6 427              PRCHPT7 428           
   PRCHPT8 429              PRCHPT9 430              PRCHPT10 431          
   PRCHPT11 432             PRCHPT12 433             PRCHPT13 434          
   PRCHPT14 435             PRCHPT15 436             PRCHPT16 437          
   PRCHPT17 438             PRCHPT18 439             PRCHPT19 440          
   PRCHPT20 441             PRCHPT21 442             PRCHPT22 443          
   PRFELN1 444              PRFELN2 445              PRFELN3 446           
   PRFELN4 447              PRFELN5 448              PRFELN6 449           
   PRFELN7 450              PRFELN8 451              PRFELN9 452           
   PRFELN10 453             PRFELN11 454             PRFELN12 455          
   PRFELN13 456             PRFELN14 457             PRFELN15 458          
   PRFELN16 459             PRFELN17 460             PRFELN18 461          
   PRFELN19 462             PRFELN20 463             PRFELN21 464          
   PRFELN22 465 .        


SAVE OUTFILE='.\drug851fy18nid.sav'.
